# Created by pyp2rpm-3.3.2
%global pypi_name sentry-sdk

%if 0%{?rhel} >= 7 || 0%{?fedora} >= 12
%bcond_without python3
%else
%bcond_with python3
%endif

%if 0%{?rhel} >= 9 || 0%{?fedora} >= 30
%bcond_with python2
%else
%bcond_without python2
%endif

Name:           python-%{pypi_name}
Version:        1.4.3
Release:        2%{?dist}.2
Summary:        Python client for Sentry

License:        BSD
URL:            https://github.com/getsentry/sentry-python
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
%if %{with python2}
BuildRequires:  python2-devel
BuildRequires:  python2dist(setuptools)
%endif
 
%if %{with python3}
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%endif

%description
The new Python SDK for Sentry.io.

%if %{with python2}
%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python2dist(blinker) >= 1.1
Requires:       python2dist(certifi)
Requires:       python2dist(flask) >= 0.8
Requires:       python2dist(urllib3)
%description -n python2-%{pypi_name}
The new Python SDK for Sentry.io.
%endif

%if %{with python3}
%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(blinker) >= 1.1
Requires:       python3dist(certifi)
Requires:       python3dist(flask) >= 0.8
Requires:       python3dist(urllib3)
%description -n python3-%{pypi_name}
The new Python SDK for Sentry.io.
%endif


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%if %{with python2}
%py2_build
%endif
%if %{with python3}
%py3_build
%endif

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%if %{with python2}
%py2_install
%__rm %{buildroot}%{python2_sitelib}/sentry_sdk/integrations/{aiohttp,sanic,tornado}.py
%endif
%if %{with python3}
%py3_install
%endif

%if %{with python2}
%files -n python2-%{pypi_name}
%license LICENSE
%doc README.md
%{python2_sitelib}/sentry_sdk
%{python2_sitelib}/sentry_sdk-%{version}-py*.*.egg-info
%endif

%if %{with python3}
%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/sentry_sdk
%{python3_sitelib}/sentry_sdk-%{version}-py*.*.egg-info
%endif

%changelog
* Wed Sep  7 2022 Oleg Girko <ol@infoserver.lv> - 1.4.3-2
- Build for Python3 for RHEL >= 7
- Don't build for Python2 on RHEL >= 9
* Fri Oct 22 2021 Oleg Girko <ol@infoserver.lv> - 1.4.3-1
- Update to 1.4.3.
- Fix pattern for egg-info files to allow two-digit Python minor version.
* Fri Mar  1 2019 Oleg Girko <ol@infoserver.lv> - 0.7.4-1
- Initial package.
